From 4931dfcdfdbe9beaf829607429aec6af6a4dac1c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@gnu.org>
Date: Tue, 7 Jul 2015 22:51:33 +0200
Subject: [PATCH] tests: Test the exit code of 'guix environment'.

This is a followup to d2cef62.

* tests/guix-environment.sh: Add test for the exit code.
---
 tests/guix-environment.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/tests/guix-environment.sh b/tests/guix-environment.sh
index 08c97cbb657..32faf71a4eb 100644
--- a/tests/guix-environment.sh
+++ b/tests/guix-environment.sh
@@ -39,6 +39,14 @@ test "`wc -l < "$tmpdir/a"`" = 1
 
 cmp "$tmpdir/a" "$tmpdir/b"
 
+# Make sure the exit value is preserved.
+if guix environment --ad-hoc guile-bootstrap --pure -E 'guile -c "(exit 42)"'
+then
+    false
+else
+    test $? = 42
+fi
+
 if guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null
 then
     # Compute the build environment for the initial GNU Make.
-- 
GitLab